Skip to main content
GET
/
tokenization
/
templates
/
{contractTemplateId}
/
function
TypeScript
const response: Promise<FireblocksResponse<AbiFunction>> = fireblocks.contractTemplates.getFunctionAbiByContractTemplateId(contractTemplatesApiGetFunctionAbiByContractTemplateIdRequest);
{
  "type": "constructor",
  "name": "mint",
  "stateMutability": "pure",
  "inputs": [
    {
      "name": "_name",
      "type": "string",
      "description": "The name of the token",
      "internalType": "string",
      "components": "<array>"
    }
  ],
  "outputs": [
    {
      "name": "_name",
      "type": "string",
      "description": "The name of the token",
      "internalType": "string",
      "components": "<array>"
    }
  ],
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

contractTemplateId
string
required

The Contract Template identifier

Query Parameters

functionSignature
string
required

Response

Contract template`s function ABI was returned successfully

type
enum<string>
required

The type of the function

Available options:
[object Object],
function,
error,
event,
receive,
fallback
Example:

"constructor"

name
string

The name of the contract function as it appears in the ABI

Example:

"mint"

stateMutability
enum<string>

The state mutability of the contract function as it appears in the ABI

Available options:
pure,
view,
nonpayable,
payable
Example:

"pure"

inputs
object[]

The parameters that this function/constructor posses

outputs
object[]

The parameters that this 'read' function returns

description
string

The documentation of this function (if has any)